VST 3 Examples VST 3.7 SDK for developing VST plug-in

Public Types | Public Member Functions | Protected Member Functions | Protected Attributes | List of all members
ParameterChangesCheck Class Reference

`#include <parameterchangescheck.h>`

## Public Types
using | ParamIDs = std::set< Steinberg::Vst::ParamID >

## Public Member Functions
| ParameterChangesCheck ()
void | checkParameterChanges (Steinberg::Vst::IParameterChanges *paramChanges)
void | setEventLogger (EventLogger *eventLogger)
void | setParamIDs (ParamIDs *parameterID)
void | updateParameterIDs ()

## Protected Member Functions
void | checkAllChanges (Steinberg::Vst::IParameterChanges *paramChanges)
void | checkParameterCount (Steinberg::int32 paramCount)
void | checkParameterId (Steinberg::Vst::ParamID paramId)
void | checkNormalized (float normVal)
void | checkSampleOffset (Steinberg::int32 sampleOffset, Steinberg::int32 lastSampleOffset)
bool | checkParameterQueue (Steinberg::Vst::IParamValueQueue *paramQueue)
void | checkPoints (Steinberg::Vst::IParamValueQueue *paramQueue)
bool | isNormalized (float normVal) const
bool | isValidSampleOffset (float sampleOffset, float lastSampleOffset) const
bool | isValidParamID (Steinberg::Vst::ParamID paramId) const
bool | isValidParamCount (Steinberg::int32 paramCount) const

## Protected Attributes
EventLogger * | mEventLogger
ParamIDs * | mParameterIds
std::vector< Steinberg::Vst::ParamID > | mTempUsedId

## Member Typedef Documentation

## ◆ ParamIDs

using ParamIDs = std::set<Steinberg::Vst::ParamID>

## Constructor & Destructor Documentation

## ◆ ParameterChangesCheck()

ParameterChangesCheck | ( |  | ) |

## Member Function Documentation

## ◆ checkParameterChanges()

void checkParameterChanges | ( | Steinberg::Vst::IParameterChanges * | paramChanges | ) |

## ◆ setEventLogger()

void setEventLogger | ( | EventLogger * | eventLogger | ) |

## ◆ setParamIDs()

void setParamIDs | ( | ParamIDs * | parameterID | ) |

## ◆ updateParameterIDs()

void updateParameterIDs | ( |  | ) |

## ◆ checkAllChanges()

void checkAllChanges | ( | Steinberg::Vst::IParameterChanges * | paramChanges | ) |
| protected

## ◆ checkParameterCount()

void checkParameterCount | ( | Steinberg::int32 | paramCount | ) |
| protected

## ◆ checkParameterId()

void checkParameterId | ( | Steinberg::Vst::ParamID | paramId | ) |
| protected

## ◆ checkNormalized()

void checkNormalized | ( | float | normVal | ) |
| protected

## ◆ checkSampleOffset()

void checkSampleOffset | ( | Steinberg::int32 | sampleOffset,
|  | Steinberg::int32 | lastSampleOffset
| ) |  |
| protected

## ◆ checkParameterQueue()

bool checkParameterQueue | ( | Steinberg::Vst::IParamValueQueue * | paramQueue | ) |
| protected

## ◆ checkPoints()

void checkPoints | ( | Steinberg::Vst::IParamValueQueue * | paramQueue | ) |
| protected

## ◆ isNormalized()

bool isNormalized | ( | float | normVal | ) | const
| protected

## ◆ isValidSampleOffset()

bool isValidSampleOffset | ( | float | sampleOffset,
|  | float | lastSampleOffset
| ) |  | const
| protected

## ◆ isValidParamID()

bool isValidParamID | ( | Steinberg::Vst::ParamID | paramId | ) | const
| protected

## ◆ isValidParamCount()

bool isValidParamCount | ( | Steinberg::int32 | paramCount | ) | const
| protected

## Member Data Documentation

## ◆ mEventLogger

EventLogger* mEventLogger
| protected

## ◆ mParameterIds

ParamIDs* mParameterIds
| protected

## ◆ mTempUsedId

std::vector<Steinberg::Vst::ParamID> mTempUsedId
| protected

Empty

Copyright © Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.